package com.ywt.mg.domain.models.enums;

public enum OutpatientStatusEnum {
    PENDING("待支付", 0),
    PAID("已支付", 1),
    REFUNDED("已退款", 2),
    OFFLINE_PAID("线下缴费", 3);

    private final String displayName;

    private final int value;

    OutpatientStatusEnum(String displayName, int value) {
        this.displayName = displayName;
        this.value = value;
    }

    public String getDisplayName() {
        return displayName;
    }

    public int getValue() {
        return value;
    }

    public static OutpatientStatusEnum valueOf(int value){
        switch (value){
            case 0:
                return PENDING;
            case 1:
                return PAID;
            case 2:
                return REFUNDED;
            case 3:
                return OFFLINE_PAID;
            default:
                return PENDING;
        }
    }
}
